settings.logAddedRecipes = false
settings.logRemovedRecipes = false
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

onEvent('recipes', event => {

    //Inert Fosic Resonator -> Fosic Resonator
    event.shaped(
        Item.of('astralsorcery:resonator', '{astralsorcery:{upgrades:[0],selected_upgrade:0}}'),
        [Item.of('kubejs:inert_fosic_resonator')]
    )

    //Inert Ichosic Resonator -> Ichosic Resonator
    event.shaped(
        Item.of('astralsorcery:resonator', '{astralsorcery:{upgrades:[1],selected_upgrade:1}}'),
        [Item.of('kubejs:inert_ichosic_resonator')]
    )

    //Inert Domic Resonator -> Domic Resonator
    event.shaped(
        Item.of('astralsorcery:resonator', '{astralsorcery:{upgrades:[2],selected_upgrade:2}}'),
        [Item.of('kubejs:inert_domic_resonator')]
    )

    //Fosic Resonator -> Inert Fosic Resonator
    event.shaped(
        Item.of('kubejs:inert_fosic_resonator'),
        [Item.of('astralsorcery:resonator', '{astralsorcery:{upgrades:[0],selected_upgrade:0}}')]
    )

    //Ichosic Resonator -> Inert Ichosic Resonator
    event.shaped(
        Item.of('kubejs:inert_ichosic_resonator'),
        [Item.of('astralsorcery:resonator', '{astralsorcery:{upgrades:[1],selected_upgrade:1}}')]
    )

    //Domic Resonator -> Inert Domic Resonator
    event.shaped(
        Item.of('kubejs:inert_domic_resonator'),
        [Item.of('astralsorcery:resonator', '{astralsorcery:{upgrades:[2],selected_upgrade:2}}')]
    )

    //Crystal Lens conversion
    event.shaped(
        Item.of('astralsorcery:lens', '{astralsorcery:{crystalProperties:{attributes:[{property:"astralsorcery:purity",pLevel:2,discovered:1b},{property:"astralsorcery:shape",pLevel:3,discovered:1b}]}}}'),
        [Item.of('astralsorcery:lens')]
    )

    //Crystal Prism conversion
    event.shaped(
        Item.of('astralsorcery:prism', '{astralsorcery:{crystalProperties:{attributes:[{property:"astralsorcery:purity",pLevel:2,discovered:1b},{property:"astralsorcery:shape",pLevel:3,discovered:1b}]}}}'),
        [Item.of('astralsorcery:prism')]
    )

    //Inert Collector Crystal -> Collector Crystal
    event.shaped(
        Item.of('astralsorcery:rock_collector_crystal', '{astralsorcery:{constellation:"astralsorcery:horologium",crystalProperties:{attributes:[{property:"astralsorcery:size",pLevel:3,discovered:1b},{property:"astralsorcery:purity",pLevel:2,discovered:1b},{property:"astralsorcery:shape",pLevel:3,discovered:1b},{property:"astralsorcery:collector.rate",pLevel:3,discovered:1b},{property:"astralsorcery:constellation.horologium",pLevel:2,discovered:1b}]}}}'),
        [Item.of('kubejs:inert_collector_crystal')]
    )

    //Inert Celestial Collector Crystal -> Celestial Collector Crystal
    event.shaped(
        Item.of('astralsorcery:celestial_collector_crystal', '{astralsorcery:{constellation:"astralsorcery:horologium",crystalProperties:{attributes:[{property:"astralsorcery:size",pLevel:3,discovered:1b},{property:"astralsorcery:purity",pLevel:2,discovered:1b},{property:"astralsorcery:shape",pLevel:3,discovered:1b},{property:"astralsorcery:collector.rate",pLevel:3,discovered:1b},{property:"astralsorcery:constellation.horologium",pLevel:2,discovered:1b}]}}}'),
        [Item.of('kubejs:inert_celestial_collector_crystal')]
    )

    //Collector Crystal -> Inert Collector Crystal
    event.shaped(
        Item.of('kubejs:inert_collector_crystal'),
        [Item.of('astralsorcery:rock_collector_crystal')]
    )

    //Celestial Collector Crystal -> Inert Celestial Collector Crystal
    event.shaped(
        Item.of('kubejs:inert_celestial_collector_crystal'),
        [Item.of('astralsorcery:celestial_collector_crystal')]
    )

    //Infused Glass -> Inert Infused Glass
    event.shaped(
        Item.of('kubejs:inert_infused_glass'),
        [Item.of('astralsorcery:infused_glass')]
    )

    //Inert Infused Glass -> Infused Glass
    event.shaped(
        Item.of('astralsorcery:infused_glass'),
        [Item.of('kubejs:inert_infused_glass')]
    )

    //Crystal Sword conversion
    event.shaped(
        Item.of('astralsorcery:crystal_sword', '{astralsorcery:{crystalProperties:{attributes:[{property:"astralsorcery:size",pLevel:3,discovered:1b},{property:"astralsorcery:shape",pLevel:3,discovered:1b},{property:"astralsorcery:tool.durability",pLevel:3,discovered:1b},{property:"astralsorcery:tool.efficiency",pLevel:3,discovered:1b}]}},Damage:0,AS_Amulet_Holder:[I;-1206291408,1294221997,-1449648938,-508263017]}'),
        [Item.of('kubejs:inert_crystal_sword')]
    )

    //Crystal Pickaxe conversion
    event.shaped(
        Item.of('astralsorcery:crystal_pickaxe', '{astralsorcery:{crystalProperties:{attributes:[{property:"astralsorcery:size",pLevel:3,discovered:1b},{property:"astralsorcery:shape",pLevel:3,discovered:1b},{property:"astralsorcery:tool.durability",pLevel:3,discovered:1b},{property:"astralsorcery:tool.efficiency",pLevel:3,discovered:1b}]}},Damage:0,AS_Amulet_Holder:[I;-1206291408,1294221997,-1449648938,-508263017]}'),
        [Item.of('kubejs:inert_crystal_pickaxe')]
    )

    //Crystal Axe conversion
    event.shaped(
        Item.of('astralsorcery:crystal_axe', '{astralsorcery:{crystalProperties:{attributes:[{property:"astralsorcery:size",pLevel:3,discovered:1b},{property:"astralsorcery:shape",pLevel:3,discovered:1b},{property:"astralsorcery:tool.durability",pLevel:3,discovered:1b},{property:"astralsorcery:tool.efficiency",pLevel:3,discovered:1b}]}},Damage:0,AS_Amulet_Holder:[I;-1206291408,1294221997,-1449648938,-508263017]}'),
        [Item.of('kubejs:inert_crystal_axe')]
    )

    //Crystal Shovel conversion
    event.shaped(
        Item.of('astralsorcery:crystal_shovel', '{astralsorcery:{crystalProperties:{attributes:[{property:"astralsorcery:size",pLevel:3,discovered:1b},{property:"astralsorcery:shape",pLevel:3,discovered:1b},{property:"astralsorcery:tool.durability",pLevel:3,discovered:1b},{property:"astralsorcery:tool.efficiency",pLevel:3,discovered:1b}]}},Damage:0,AS_Amulet_Holder:[I;-1206291408,1294221997,-1449648938,-508263017]}'),
        [Item.of('kubejs:inert_crystal_shovel')]
    )

})